"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resolve = exports.emptyResolver = void 0;
var _handlerGraphql = require("@webiny/handler-graphql");
const emptyResolver = () => ({});

/**
 * Use any because it really can be any.
 * TODO @ts-refactor maybe use generics at some point?
 */
exports.emptyResolver = emptyResolver;
const resolve = async fn => {
  try {
    return new _handlerGraphql.Response(await fn());
  } catch (e) {
    return new _handlerGraphql.ErrorResponse(e);
  }
};
exports.resolve = resolve;

//# sourceMappingURL=utils.js.map